import 'package:isar/isar.dart';
import 'package:json_annotation/json_annotation.dart';

part 'id_value.g.dart';

@JsonSerializable(explicitToJson: true)
@embedded
class IdValue {
  IdValue();

  int? id;
  String? value;

  factory IdValue.fromJson(Map<String, dynamic> json) =>
      _$IdValueFromJson(json);

  Map<String, dynamic> toJson() => _$IdValueToJson(this);
}
